Index: uspace/lib/ipcgfx/test/ipcgfx.c
===================================================================
--- uspace/lib/ipcgfx/test/ipcgfx.c	(revision 4c6fd56b8079778d8d40e0d5ffc6a1e8e8ad2b5b)
+++ uspace/lib/ipcgfx/test/ipcgfx.c	(revision cb20b05b56e214b3b2d2db4c1f2333f7868f368a)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2023 Jiri Svoboda
+ * Copyright (c) 2025 Jiri Svoboda
  * All rights reserved.
  *
@@ -128,5 +128,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -180,5 +180,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -232,5 +232,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -278,5 +278,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -330,5 +330,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -382,5 +382,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -434,5 +434,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -485,5 +485,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -528,5 +528,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -573,5 +573,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -634,5 +634,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -700,5 +700,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -755,5 +755,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -817,5 +817,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -886,5 +886,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -956,5 +956,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1025,5 +1025,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = loc_service_register(srv, test_ipcgfx_svc, &sid);
+	rc = loc_service_register(srv, test_ipcgfx_svc, fallback_port_id, &sid);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
